<?php
#############################################################################
#                              Site@School
# Site@School is a website management system designed for schools.
#
# mysql_FR.php 
#$Id: mysql_FR.php,v 1.2 2006/10/15 19:08:53 fstuurman Exp $
############################################################################
//general
mysql_query("INSERT INTO $table_configuration VALUES ('language', 'FR', '')");

//agenda
mysql_query("INSERT INTO $table_configuration (config_key, config_value, description) VALUES( 'agenda_time45', 'Rem.', '' )");

//ads
$result = mysql_query("select id from $table_modules WHERE location = 'sn_ads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Communiqués', 'sn_ads', 'view_ads.php,Voir les communiqués', 'admin.php', '$modtable_ads')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('ads_disclaimer', 'Vous pouvez rédiger ici un communiqué.', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('ads_welcome_text', 'Vous pouvez rédiger ici votre texte de bienvenue, consultez la configuration des modules', '')");

//allbum
mysql_query("INSERT INTO $table_configuration VALUES ('allbum_welcome','ALLbum Main Page','Welcome text allbum')");

$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_allbum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL,'ALLbum','sn_allbum', 'sas_index.php, Visiter la galerie de ALLbum,sas_index2.php,Visiter la galerie de Album per page,slideshow.php,Album slideshow', 'sas_admin.php', '$table_module_allbum')");
}

//chat
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_chat'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES ('', 'Chat', 'sn_chat', 'chat.php, Chat page', 'admin.php', '')");
}

//calender
$result = mysql_query("select id from $table_modules WHERE location = 'sn_calendar'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Calendrier','sn_calendar', 'calendar.php,Voir le calendrier', 'admin.php', '$calendar_table,$calendars_table')");
}

//up download
$result = mysql_query("select id from $table_modules WHERE location = 'sn_downloads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Mise à jour/Sauvegarde', 'sn_downloads', 'download_cat.php, Sauvegarder les page (par catégorie),download_pag.php,Sauvegarder les pages (par page),upload.php,Mettre à jour ', 'admin.php', '$downloadstable,$downloadcategorytable ')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('download_welcome_text', 'Download welcome text, see module configuration', '')");
mysql_query("INSERT INTO $table_configuration VALUES('download_welcome_text_prot' , 'Welcome text protected area' , '')") ;

//forms
$result = mysql_query("select id from $table_modules WHERE location = 'sn_form'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Créer des formulaires','sn_form', 'show_form.php,Voir formulaire', 'admin.php', '$forms_table,$forms_config_table')");
}

//forum
$result = mysql_query("select id from $table_modules WHERE location = 'sn_forum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Forum', 'sn_forum', 'index.php,Forum', 'admin.php', '$table_users,$table_topics,$table_replies,$table_cat')");
}
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Public - Forum', '3', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Teachers - Forum', '2', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Pupil\'s - Forum' , '1', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('forum_welcome_text', 'Forum welcome text, see forum configuration', '')");

//guestbook
$result = mysql_query("select id from $table_modules WHERE location = 'sn_gbook'");
$RecordCount = mysql_num_rows($result);

if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Livre d\'or', 'sn_gbook', 'gbook.php,Voir le livre d\'or', 'admin.php', '$modtable_guestbook')");
}

mysql_query("INSERT INTO $table_configuration VALUES ('gbook_welcome_text', 'Bienvenue.<br>Vous êtes sur la page des parents d\'élèves de l\'&Eacute;cole du Libre.<br>', '')");

//links
mysql_query("INSERT INTO $table_configuration VALUES ('links_welcome_text', 'Welcome text links page', '')");

//message
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_message'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Messages', 'sn_message', 'message.php,Add messages,view_message.php,View messages', 'admin.php', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_add_text', '<font size=6><b>Add a Message</font></b><hr>', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text', '<font size=6><b>View messages</font></b><hr> ', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text_prot', '<font size=6><b>View messages Protected Area</font></b><hr> ', '')");
}

//mail module
$result = mysql_query("select id from $table_modules WHERE location = 'sn_mailpage'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Page courriel','sn_mailpage', 'mailpage.php,Page du courriel', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('email_text', 'Bonjour vous êtes sur la page d\'information de l\'&Eacute;cole du Libre.', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('email_thankyou_text', '<br><br><p align=\"center\"><fontsize=\"2\"><b>Votre message a été envoyé,<br><br>merci beaucoup.</b></font></p>', '')");

//news
$result = mysql_query("select id from $table_modules WHERE location = 'sn_news'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{ 
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Actualités', 'sn_news', 'frontpage.php,Page d\'informations,frontpage_cat.php,Catégorie par page,archive.php,Archive des informations', 'admin.php', '$modtable_news_articles,$modtable_news_categories')");
}
  
mysql_query("INSERT INTO $table_configuration VALUES ('news_welcome_text', 'Bienvenue dans la page des informations générales de l\'&Eacute;cole du Libre.', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('news_archive_welcome_text', 'Bienvenue dans la page des informations générales de l\'&Eacute;cole du Libre.', '')");

//newsletter
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_newsletter'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Lettre d\'information', 'sn_newsletter', 'newsletter.php, Add Newsletter', 'admin.php', '$table_newsletter_content,$table_newsletters,$table_email_adresses')");
}

//pupilpages
$result = mysql_query("select id from $table_modules WHERE location = 'sn_studentpages'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Pages des élèves', 'sn_studentpages', 'user_login.php,Connexion maître/élèves,viewpage.php,Vue des pages des élèves,viewpage2.php,Vue des pages des élèves par classe,viewproject.php,Vue des pages des élèves par classe,teacher_page.php,Pages du maître', 'admin.php', '$table_studentpages')");
}


//search
$result = mysql_query("select id from $table_modules WHERE location = 'dgs_search'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Recherche', 'dgs_search', 'search.php,Page de recherche', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES('search_module_welcome', '<h3>Recherche sur notre</h3><br>Enregistrez un argument de recherche :<p>', 'Search module welcome text ')");



//sitemap
$result = mysql_query("select id from $table_modules WHERE location = 'sn_sitemap'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0) 
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Plan du site', 'sn_sitemap', 'view_sitemap.php,Plan du site,view_sitemap_date.php,Plan du site avec date', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('sitemap_welcome_text', 'Sitemap:', '')");



include("template_FR.php") ;

?>